This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 22325 - RPM can't install update rpms
RPM can't install update rpms
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-14 22:13 EST by Bill Anderson
Modified: 2007-03-26 23:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-16 19:48:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
last 30 lines of the db_dump command (1.66 KB, text/plain)
2000-12-16 13:49 EST, Bill Anderson
no flags Details

  None (edit)
Description Bill Anderson 2000-12-14 22:13:25 EST
I thought about the severity of this bug, and decided that since it applies
to the ability to install the security updates to my system, it qualifies
as a security severity bug.

Whenever I try to install any of the updates from redhat.com for my 7.0
system, I get the following error:
"""
__db_assert: "0" failed: file "../dist/../common/db_err.c", line 200
Aborted (core dumped)
"""

This error is present regardless of whether or not I use Uvh, Fvh, and even
occurs on other rpms, and there ivh fails as well.  Lately it seems to be
spreading, and even rebuilding an rpm, or querying the rpm database fails
in the same manner. For example:

"""
root@locutus in /home/ucntcme 
$ rpm -qa |grep db
db3-3.1.14-6
gdbm-devel-1.8.0-5
pwdb-0.61.1-1
db1-1.85-4
db2-2.4.14-4
gdbm-1.8.0-5
xxgdb-1.12-16
db3-devel-3.1.14-6
postgresql-odbc-7.0.2-17
__db_assert: "0" failed: file "../dist/../common/db_err.c", line 200
db1-devel-1.85-4
"""
Comment 1 Bill Anderson 2000-12-14 22:14:01 EST
BTw, thi sis a clean install of 7.0, format and all.
Comment 2 Alan Cox 2000-12-15 20:52:22 EST
I don't know how it got that way, but thats an interesting question in itself.

Howeve the problem appears to be corruption in the RPM database. 

rpm --rebuilddb

will attempt to fix it up and then solve the rest. I would like to know what
package installing tools
you have used on that box to try and figure the other question out - eg up2date,
gnorpm, 
helix_installer etc
Comment 3 Bill Anderson 2000-12-15 23:03:47 EST
The only thing I've done are hand updates and helix_installer.
Am trying the rebuild now ...  still waiting ... uhhh ....this looks bad:


db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error
db3 error(5) performing db->sync: Input/output error


... gettin LOTS of these .... have PLENTY of free space ... (1.7 Gig)

Doesn't seem to be doing anything other than screenfuls of these ...

Oh, there it dumped:
db3 error(5) performing db->sync: Input/output error
__db_assert: "0" failed: file "../dist/../common/db_err.c", line 200
Aborted (core dumped)

:(
Comment 4 Jeff Johnson 2000-12-16 08:23:55 EST
Do the following
	strace -o /tmp/xxx  db_dump /var/lib/rpm/Packages > /dev/null
and append the last 30 or so lines to this report.
Comment 5 Jeff Johnson 2000-12-16 08:54:58 EST
Um, the last 30 lines of /tmp/xxx.
Comment 6 Bill Anderson 2000-12-16 13:20:15 EST
cant find a db_dump on my system anywhere ...
Comment 7 Jeff Johnson 2000-12-16 13:32:43 EST
bash$ rpm -qf /usr/bin/db_dump
db3-utils-3.1.17-5
Comment 8 Bill Anderson 2000-12-16 13:49:22 EST
Created attachment 6513 [details]
last 30 lines of the db_dump command
Comment 9 Jeff Johnson 2000-12-16 19:48:31 EST
The line that looks like
    read(4, 0x4028a36c, 4096)               = -1 EIO (Input/output error)
idicates that you have some sort of disk hardware problem. From "man 2 read":
              ...
       EIO    I/O  error.  This  will happen for example when the
              process is in a background process group, tries  to
              read  from  its  controlling  tty, and either it is
              ignoring or blocking SIGTTIN or its  process  group
              is  orphaned.   It  may  also occur when there is a
              low-level I/O error while reading from  a  disk  or
              tape.
Comment 10 Jeff Johnson 2000-12-19 09:14:31 EST
This smells like a hardware problem, Please reopen if I'm wrong.

Note You need to log in before you can comment on or make changes to this bug.